Bug 475670 - [LTC 5.4 FEAT] Program directed IPL support - no XML in system dumper [200782]
[LTC 5.4 FEAT] Program directed IPL support - no XML in system dumper [200782]
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: s390utils (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: ---
Assigned To: Dan Horák
BaseOS QE
: FutureFeature, OtherQA
Depends On: 477189
Blocks: 445204
  Show dependency treegraph
 
Reported: 2008-12-09 18:30 EST by IBM Bug Proxy
Modified: 2009-06-20 04:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 16:07:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50297 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 18:30:38 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[200782]
a. Name of Feature:	Program directed IPL support - no XML in system dumper
b. Feature Description
Adaptations to the Linux system dumper, replacing the XML based IPL parameter parser by a binary
control block parser. 

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390 native
s390x

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Backport
Category:	zSeries
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	s390tools-1.6.0

3. Business Case
Servicability: prereq for dump on panic to SCSI disk
 Support future HW

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Reinhard Buendgen, buendgen@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-01-26 11:20:37 EST
Hello Red Hat,
A review showed that this feature is already part of RHEL 5.

It is part of the SCSI dumper (from a certain level upwards) :
That is included into  RHEL 5.2 with this feature request:
LTC 37740   -  RHBZ253118: 200989: Cleanup SCSI dumper code for upstream integration - tool

And limitations of that feature have been resolved with
LTC 43112   -  RIT169971-[RHEL 5.2] zipl looks for /usr/local/share/zfcpdump/zfcpdump.image instead of /boot/zfcpdump.

Closing feature request for RHEL 5.4 as "not a request" for RHEL 5.x
Comment 2 John Jarvis 2009-01-29 16:07:52 EST
closing as CURRENT RELEASE based on comment 1

Note You need to log in before you can comment on or make changes to this bug.